Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.bridge
Class BridgeResponse

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.jboss.portal.portlet.bridge.BridgeResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class BridgeResponse

extends javax.servlet.http.HttpServletResponseWrapper

Version:
  $Revision: 6862 $
Author:
  Julien Viet

Field Summary
`protected PortletInvocation` | `invocation` .
`protected PortletResponse` | `presp` .
`protected javax.servlet.ServletOutputStream` | `sos` .

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`BridgeResponse(JBossServletContextProvider.BridgeInfo info)`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String s, long l)`
`void` | `addHeader(java.lang.String s, java.lang.String s1)`
`void` | `addIntHeader(java.lang.String s, int i)`
`boolean` | `containsHeader(java.lang.String s)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String s)`
`java.lang.String` | `encodeRedirectURL(java.lang.String s)`
`java.lang.String` | `encodeUrl(java.lang.String s)`
`java.lang.String` | `encodeURL(java.lang.String s)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int i)`
`void` | `sendError(int i, java.lang.String s)`
`void` | `sendRedirect(java.lang.String s)`
`void` | `setBufferSize(int i)`
`void` | `setCharacterEncoding(java.lang.String s)`
`void` | `setContentLength(int i)`
`void` | `setContentType(java.lang.String mimeType)`
`void` | `setDateHeader(java.lang.String s, long l)`
`void` | `setHeader(java.lang.String s, java.lang.String s1)`
`void` | `setIntHeader(java.lang.String s, int i)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setStatus(int i)`
`void` | `setStatus(int i, java.lang.String s)`

Methods inherited from class javax.servlet.ServletResponseWrapper
`getResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### presp

    protected final PortletResponse presp

  .

### invocation

    protected final PortletInvocation invocation

  .

### sos

    protected javax.servlet.ServletOutputStream sos

  .

Constructor Detail

### BridgeResponse

    public BridgeResponse(JBossServletContextProvider.BridgeInfo info)

Method Detail

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String s)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeRedirectURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String s)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeRedirectUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

### setBufferSize

    public void setBufferSize(int i)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setBufferSize` in class `javax.servlet.ServletResponseWrapper`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `flushBuffer` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `resetBuffer` in class `javax.servlet.ServletResponseWrapper`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `javax.servlet.ServletResponseWrapper`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getBufferSize` in class `javax.servlet.ServletResponseWrapper`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`
  Overrides:
    `isCommitted` in class `javax.servlet.ServletResponseWrapper`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### encodeURL

    public java.lang.String encodeURL(java.lang.String s)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String s)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### setContentType

    public void setContentType(java.lang.String mimeType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `javax.servlet.ServletResponseWrapper`

### setContentLength

    public void setContentLength(int i)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentLength` in class `javax.servlet.ServletResponseWrapper`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `javax.servlet.ServletResponseWrapper`

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addCookie` in class `javax.servlet.http.HttpServletResponseWrapper`

### sendError

    public void sendError(int i)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int i,
                          java.lang.String s)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String s)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendRedirect` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String s,
                              long l)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addDateHeader

    public void addDateHeader(java.lang.String s,
                              long l)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setHeader

    public void setHeader(java.lang.String s,
                          java.lang.String s1)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addHeader

    public void addHeader(java.lang.String s,
                          java.lang.String s1)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setIntHeader

    public void setIntHeader(java.lang.String s,
                             int i)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addIntHeader

    public void addIntHeader(java.lang.String s,
                             int i)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

    public void setStatus(int i)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

    public void setStatus(int i,
                          java.lang.String s)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### containsHeader

    public boolean containsHeader(java.lang.String s)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `containsHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getLocale` in class `javax.servlet.ServletResponseWrapper`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getContentType` in class `javax.servlet.ServletResponseWrapper`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String s)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.